package simple.dcsp.sbt;

import kernel.AbstractAgent;
import kernel.StopException;
import kernel.com.Message;
import kernel.com.TerminateMsgHandler;
import kernel.events.AgentEvent;

public class SBTTerminateMsgHandler extends TerminateMsgHandler {

	public SBTTerminateMsgHandler(AbstractAgent agent) {
		super(agent);
	}

	@Override
	public void handleAgentEvent(AgentEvent agentEvent) {
		if (agentEvent instanceof kernel.events.AgentFinishedEvent) {
			this.askMasterToTerminate(true);
		}
	}

	@Override
	public boolean processTerminationDetection(Message msg) throws StopException {
		return true;
	}

}
